Bug 190074 - CVE-2006-2071 mprotect gives write permission to a readonly attachment
CVE-2006-2071 mprotect gives write permission to a readonly attachment
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
impact=moderate,public=20060417
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 07:23 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0710
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 08:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-04-27 07:23:13 EDT
All of 2.4 and 2.6 kernels have been letting mprotect give write permission to a
readonly attachment of shared memory, whether or not IPC would give the caller
that permission.

SUS says "The behaviour of this function [mprotect] is unspecified if the
mapping was not established by a call to mmap", but I don't think we can
interpret that as allowing it to subvert IPC permissions.
Comment 2 Marcel Holtmann 2006-04-27 13:24:45 EDT
This is _not_ CVE-2006-1524. The commit message of the upstream fix is wrong.
Comment 3 Ernie Petrides 2006-07-31 17:48:08 EDT
Fix posted for internal review on 31-Jul-2006.
Comment 8 Ernie Petrides 2006-09-22 21:07:13 EDT
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.1.EL).
Comment 9 Ernie Petrides 2006-10-13 17:49:07 EDT
A fix for this problem has also been committed to the RHEL3 E9
patch pool this evening (in kernel version 2.4.21-47.0.1.EL).
Comment 12 Red Hat Bugzilla 2006-10-19 08:41:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0710.html

Note You need to log in before you can comment on or make changes to this bug.